iOS Question Provisioning profile "developer" doesn't support the In-App Purchase capability

Status
Not open for further replies.

Filippo

Expert
Licensed User
Hi,
what could that be? I switched to Xcode 11.
Before the change, 2 days ago, everything was OK.

B4i Version: 6.00
Parsing code. (0.27s)
Building folders structure. (0.01s)
Running custom action. (0.07s)
Compiling code. (1.03s)
Compiling layouts code. (0.11s)
Compiling debugger engine code. (3.20s)
Building Xcode project (0.09s)
Sending data to remote compiler. Error
Out: Build settings from command line:
ARCHS = arm64
CODE_SIGN_IDENTITY = iPhone Developer: XXXXX XXXXX (4MYDJABPJ8)
CONFIGURATION_BUILD_DIR = /Users/<user id>gozza/Documents/B4iBuild-Server/UploadedProjects/<user id>/Payload
OTHER_CODE_SIGN_FLAGS = --keychain <user id>
PRODUCT_NAME = CMM-Lite
PROVISIONING_PROFILE = XXXXXXX-XXXX-XXXX-XXXX-XXXXXXXX

note: Using new build system
note: Planning build
note: Constructing build description
error: Provisioning profile "developer" doesn't support the In-App Purchase capability. (in target 'B4iProject' from project 'B4iProject')


Error: ** BUILD FAILED **
 

Filippo

Expert
Licensed User
Check whether IAP is checked in the relevant app id capabilities list.
I'm sorry Erel, but I do not understand what you mean. :(
With Xcode 10.2.1 works without problems, only Xcode 11 brings this error message.
 

Filippo

Expert
Licensed User
what should I configure there?
I think everything is already configured, here I have never set anything.

upload_2019-10-4_13-15-52.png
 

Filippo

Expert
Licensed User
I still can not use xcode 11.
Maybe someone has another tip?

And another thing, why should I change the app-id setting if everything works fine with xcode 10?
I do not understand that. :(
 

Filippo

Expert
Licensed User
Are you sure that you are using the correct provision profile? You can download Xcode 10 and keep both versions and see whether the problem is really related to Xcode version.

It is available here: https://developer.apple.com/download/more/

Another option is to test it with the hosted builder.
Hi Erel,
I have both xcode versions (10.2 and 11) installed and can switch between the two.
As I said, the compilation with 10.2 works without problems, only with the version 11 it does not work, rather brings this error message.
 
Status
Not open for further replies.
Top